Bug 182885 - Add option for "--ignore-ancestry" SVN switch in merge dialog
Add option for "--ignore-ancestry" SVN switch in merge dialog
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Subversion
7.3
All All
: P1 with 4 votes (vote)
: 7.4
Assigned To: Ondrej Vrabec
issues@versioncontrol
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-26 12:17 UTC by scifi_fan
Modified: 2013-01-29 03:27 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Additional options accessible through Advanced... button (59.01 KB, image/png)
2012-11-01 16:23 UTC, Petr Somol
Details

Note You need to log in before you can comment on or make changes to this bug.
Description scifi_fan 2010-03-26 12:17:31 UTC
It is currently not possible to add the --ignore-ancestry option during a SVN merge process via Netbeans merge dialog. This option is especially handy if you get tons of svn:merginfo changes automatically upon merging a branch to trunk on the root level. I know svn:mergeinfo has its use, but if I want to sacrifice this use for not getting hundreds of svn:merginfo commits after merging, I want to deactivate ancestry tracking. A simple checkbox like in Subversive Eclipse Plugin would be nice.
Comment 1 scifi_fan 2010-03-26 12:18:27 UTC
Forgot to add: my NetBeans Version is 6.8
Comment 2 Ondrej Vrabec 2012-10-31 15:06:30 UTC
> A simple checkbox like in Subversive Eclipse Plugin would be nice.
i don't like the Eclipse way of adding a checkbox for every single switch for every versioning command. The UI becomes too crowded and absolutely unable to comprehend. I am afraid that adding the checkbox will open doors for future requests for other switches and we'll end up with dozens of control fields in the UI. On the other hand i doubt we're able to tell without user's help when the switch should or should not be used. For example it seems useless to keep svn:mergeinfo when merging a whole branch but hard to say for 100%,
Maybe an expandable area with advanced options could be added, maybe your suggestion is right, i have no idea. I'll let someone from UI decide (adding honza and petr on CC)
Comment 3 Petr Somol 2012-11-01 16:23:49 UTC
Created attachment 126928 [details]
Additional options accessible through Advanced... button

I agree with Comment #2 in that surfacing all possible options is not always practical for various reasons. In this case, if I understand it right, all the possible options would actually be command line parameters ? In that case we could provide the option to add arbitrary command line parameters. Through an Advanced... button a simple dialog would show up with one line permitting to enter arbitrary command line params. (labeled something like "Additional svn parameters"). If we considered to show such text input line directly in the Merge dialog, we would provide more complete info at once but on the other hand we would make the UI less clear for many users who do not want this. Hence the suggestion to hide it under the Advanced... button. As for the location of the button, bottom left corner seems a viable compromise mainly because the dialog contents layout changes depending on what is selected in the upper combo. Thus there would be no stable enough position for the button inside the pane..

Opinions ?
Comment 4 Ondrej Vrabec 2013-01-25 15:24:19 UTC
In 95% cases we do not run any command (we have a java subversion client), so displaying a text line accepting additional parameters does not make sense. I eventually decided to add a checkbox to the panel. If there's another request for adding additional switches, checkboxes or other control fields, i will consider adding something like an expandable section revealing more options. Currently there would be just one checkbox which would probably look weird.
Comment 5 Ondrej Vrabec 2013-01-28 14:10:51 UTC
fix: http://hg.netbeans.org/core-main/rev/157855114bf5
Comment 6 Quality Engineering 2013-01-29 03:27:19 UTC
Integrated into 'main-golden', will be available in build *201301290001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/157855114bf5
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #182885 - Add option for "--ignore-ancestry" SVN switch in merge dialog


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo